{% extends 'base.html' %}
{% block title %} Create Type {% endblock %}
{% load add_attr %}
{% block content %}
    <form method="POST" class="container mt-5">
        {% csrf_token %}
        <h1>Register Type</h1>
        <div class="row mb-3 mt-4 ">
            <label for="inputType" class="col-sm-2 col-form-label">Type</label>
            <div class="col-sm-10">
                {{ form.type | add_attr:"class:form-control, type:text, id:inputType" }}
            </div>
        </div>
        <div class="row mb-3">
            <label for="inputDescription" class="col-sm-2 col-form-label">Description</label>
            <div class="col-sm-10">
                {{ form.description | add_attr:"class:form-control, type:text, id:inputDescription" }}
            </div>
        </div>
        <div>
            <input class="btn btn-success" type="submit" value="Save"/>
            <a href="{{ request.META.HTTP_REFERER }}" class="btn btn-secondary" tabindex="-1" role="button">Cancel</a>
        </div>
    </form>
{% endblock %}